Subject: [lamps] I-D Action: draft-ietf-lamps-ocsp-nonce-00.txt

From: [email-masked]
Date: Thu, 23 Apr 2020 18:09:33 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Limited Additional Mechanisms for PKIX and SMIME WG of the IETF.

        Title           : OCSP Nonce Extension
        Author          : Mohit Sahni
	Filename        : draft-ietf-lamps-ocsp-nonce-00.txt
	Pages           : 6
	Date            : 2020-04-23

Abstract:
   This document specifies the updated format of the Nonce extension in
   Online Certificate Status Protocol (OCSP) request and response
   messages.  OCSP is used to check the status of a certificate and the
   Nonce extension is used in the OCSP request and response messages to
   avoid replay attacks.  This document updates the RFC 6960

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lamps-ocsp-nonce/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-lamps-ocsp-nonce-00
https://datatracker.ietf.org/doc/html/draft-ietf-lamps-ocsp-nonce-00

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Mohit Sahni <[email-masked]>
Date: Sun, 26 Apr 2020 11:21:37 -0700

Hi All
This is the WG adopted version of draft-msahni-lamps-ocsp-nonce-03.txt. I
have changed the date, document name, version, fixed some
grammatical errors and added my work address. This is a short document that
has been modified as per the valuable comments provided to me by the WG
members. I am requesting a working group last call on this document if
there is no objection.

Thanks
Mohit

On Thu, Apr 23, 2020 at 6:10 PM <[email-masked]> wrote:

> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spasm
>

---

From: Russ Housley <[email-masked]>
Date: Sun, 26 Apr 2020 15:13:07 -0400

Mohit:

It does not appear that you addressed my comment about the ASN.1 in Section 2.1.  Please resolve all of the known comments before we start WG Last Call.

Russ

> On Apr 26, 2020, at 2:21 PM, Mohit Sahni <[email-masked]> wrote:
> 
> Hi All
> This is the WG adopted version of draft-msahni-lamps-ocsp-nonce-03.txt. I have changed the date, document name, version, fixed some grammatical errors and added my work address. This is a short document that has been modified as per the valuable comments provided to me by the WG members. I am requesting a working group last call on this document if there is no objection. 
> 
> Thanks
> Mohit 
> 
> On Thu, Apr 23, 2020 at 6:10 PM <[email-masked] <mailto:[email-masked]>> wrote:
>

---

From: Mohit Sahni <[email-masked]>
Date: Sun, 26 Apr 2020 13:51:48 -0700

Hi Russ
Your comment was regarding ASN.1 in section 5.1 which I fixed in draft-03.

Mohit:
>
> Section 5.1 does not look correct to me.  The OIDs are at the bottom of
> the ASN.1 module.  Only Nonce is not defined.
>
> I would like to hear what other people think about adopting this
> document.  If we are going to adopt it, then this small thing can be fixed
> in the first WG version.
>
> Russ
>

Thanks
Mohit

On Sun, Apr 26, 2020 at 12:13 PM Russ Housley <[email-masked]> wrote:

> Mohit:
>
> It does not appear that you addressed my comment about the ASN.1 in
> Section 2.1.  Please resolve all of the known comments before we start WG
> Last Call.
>
> Russ
>
>

---

From: Russ Housley <[email-masked]>
Date: Sun, 26 Apr 2020 17:13:19 -0400

Mohit:

I see that I should have made the comment about both Section 2.1 and Section 5.1.  The object identifiers are already defined in the existing document.

Russ

> On Apr 26, 2020, at 4:51 PM, Mohit Sahni <[email-masked]> wrote:
> 
> Hi Russ
> Section 5.1 does not look correct to me.  The OIDs are at the bottom of the ASN.1 module.  Only Nonce is not defined.
> 
> I would like to hear what other people think about adopting this document.  If we are going to adopt it, then this small thing can be fixed in the first WG version.
> 
> Russ
> 
> Thanks
> Mohit
> 
> On Sun, Apr 26, 2020 at 12:13 PM Russ Housley <[email-masked] <mailto:[email-masked]>> wrote:
> Mohit:
> 
>> On Apr 26, 2020, at 2:21 PM, Mohit Sahni <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> Hi All

---

From: Mohit Sahni <[email-masked]>
Date: Sun, 26 Apr 2020 14:17:37 -0700

Sorry my bad. I will change it and upload new draft.

On Sun, Apr 26, 2020 at 2:13 PM Russ Housley <[email-masked]> wrote:

> Mohit:
>
> I see that I should have made the comment about both Section 2.1 and
> Section 5.1.  The object identifiers are already defined in the existing
> document.
>
> Russ
>
>

---

From: Mohit Sahni <[email-masked]>
Date: Sun, 26 Apr 2020 15:06:16 -0700

Hi Russ
I have just uploaded a new version
https://tools.ietf.org/html/draft-ietf-lamps-ocsp-nonce-01, please let me
know if it addresses all your concerns and if we can move forward.

Thanks
Mohit

On Sun, Apr 26, 2020 at 2:17 PM Mohit Sahni <[email-masked]> wrote:

>>> This is the WG adopted version of draft-msahni-lamps-ocsp-nonce-03.txt.
>>> I have changed the date, document name, version, fixed some